@import "variables.css";

:root {
  scroll-behavior: smooth;
}

body {
  color: rgba(var(--color-primary-rgb), 1);
}

a {
  color: var(--color-links);
  text-decoration: none;
}

a:hover {
  color: var(--color-links-hover);
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--font-primary);
}
p{
  font-family: var(--font-secondary);
}

#main {
  margin-top: 90px;
}

/*--------------------------------------------------------------
# Sections & Section Header
--------------------------------------------------------------*/
section {
  padding: 40px 0;
  overflow: hidden;
}


.section-header h2 {
  font-size: 40px;
  color: var(--color1);
  font-family: var(--font-secondary);
  font-weight: bold;
}

.section-header p {
  margin-bottom: 0;
}
/*--------------------------------------------------------------
# Scroll top button
--------------------------------------------------------------*/
.scroll-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 99999;
  background: var(--color-primary);
  width: 40px;
  height: 40px;
  border-radius: 4px;
  transition: all 0.4s;
}

.scroll-top i {
  font-size: 24px;
  color: #fff;
  line-height: 0;
}

.scroll-top:hover {
  background: rgba(var(--color-primary-rgb), 0.8);
  color: #fff;
}

.scroll-top.active {
  visibility: visible;
  opacity: 1;
}

/*--------------------------------------------------------------
# Page title
--------------------------------------------------------------*/
.page-title {
  font-size: 70px;
  color: var(--color-black);
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
.header {
  height: 90px;
  transition: all 0.5s;
  z-index: 997;
  background: white;
  box-shadow: 0px 6px 20px 0px #0000000f;
}

.header.sticked {
  height: 70px;
}

.header .logo img {
  max-height: 60px;
  margin-right: 6px;
}


section {
  scroll-margin-top: 70px;
}

/*--------------------------------------------------------------
# Desktop Navigation 
--------------------------------------------------------------*/
@media (min-width: 1280px) {
  .navbar {
    padding: 0;
  }

  .navbar ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
  }

  .navbar li {
    position: relative;
  }

  .navbar a, .navbar a:focus {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    padding: 10px 20px;
    font-family: var(--font-secondary);
    font-size: 14px;
    font-weight: 500;
    color: rgba(var(--color-default-rgb), 1);
    white-space: nowrap;
    transition: 0.3s;
  }

  .dropdown.megamenu a.head ~ a{
    color: white !important;
  }

  .navbar a i,
  .navbar a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
  }

  .navbar a:hover,
  .navbar .active,
  .navbar .active:focus,
  .navbar li:hover>a {
    color: var(--color1 );
  }

  .navbar .getstarted,
  .navbar .getstarted:focus {
    background: var(--color-primary);
    padding: 8px 20px;
    margin-left: 30px;
    border-radius: 4px;
    color: var(--color-white);
  }

  .navbar .getstarted:hover,
  .navbar .getstarted:focus:hover {
    color: var(--color-white);
    background: rgba(var(--color-primary-rgb), 0.8);
  }

  .navbar .dropdown ul {
    display: block;
    position: absolute;
    left: 14px;
    top: calc(100% + 30px);
    margin: 0;
    padding: 10px 0;
    z-index: 99;
    opacity: 0;
    visibility: hidden;
    background: var(--color-white);
    box-shadow: 0px 0px 30px rgba(127, 137, 161, 0.25);
    transition: 0.3s;
  }

  .navbar .dropdown ul li {
    min-width: 200px;
  }

  .navbar .dropdown ul a {
    padding: 10px 20px;
    font-size: 15px;
    text-transform: none;
    font-weight: 400;
  }

  .navbar .dropdown ul a i {
    font-size: 12px;
  }

  .navbar .dropdown ul a:hover,
  .navbar .dropdown ul .active:hover,
  .navbar .dropdown ul li:hover>a {
    color: var(--color-primary);
  }

  .navbar .dropdown a:hover:before,
  .navbar .dropdown:hover>a:before,
  .navbar .dropdown .active:before {
    visibility: hidden;
  }

  .navbar .dropdown a:hover,
  .navbar .dropdown .active:focus,
  .navbar .dropdown:hover>a {
    color: var(--color-white);
    background: var(--color3);

  }

  .navbar .dropdown ul {
    display: block;
    position: absolute;
    left: 0;
    top: 100%;
    margin: 0;
    padding: 0 0 10px 0;
    z-index: 99;
    opacity: 0;
    visibility: hidden;
    background: var(--color3);
    transition: 0.3s;
  }

  .navbar .dropdown ul li {
    min-width: 200px;
  }

  .navbar .dropdown ul a {
    padding: 10px 20px;
    font-size: 15px;
    text-transform: none;
    font-weight: 400;
    color: rgba(var(--color-white-rgb), 0.5);
  }

  .navbar .dropdown ul a i {
    font-size: 12px;
  }

  .navbar .dropdown ul a:hover,
  .navbar .dropdown ul .active,
  .navbar .dropdown ul .active:hover,
  .navbar .dropdown ul li:hover>a {
    color: var(--color-white);
    background: var(--color-primary);
  }

  .navbar .dropdown:hover>ul {
    opacity: 1;
    visibility: visible;
  }

  .navbar .megamenu {
    position: static;
  }

  .navbar .megamenu ul {
    right: 0;
    padding: 10px;
    display: flex;
    align-items: start;
    border-radius: 0px 10px 10px 10px;
  }

  .navbar .megamenu ul li {
    flex: 1;
    padding: 10px;
    margin: 0 3px;
    background: var(--color5);
    border-radius: 10px;
  }

  .navbar .megamenu ul li .head{
    color: #FFD700 !important;
    font-size: 20px;
    background: linear-gradient(265deg, #DF3634 -2.08%, #C2121C 26.85%, var(--color4) 64.97%, rgba(130, 12, 4, 0.75) 109.96%) !important;
  }

  .navbar .megamenu ul li .head:hover{
    pointer-events: none; 
    cursor: default;
    text-decoration: none;
    color: inherit;
  }

  .navbar .megamenu ul li a,
  .navbar .megamenu ul li:hover>a {
    color: white;
    font-weight: 500;
    background: none;
  }

  .navbar .megamenu ul li a:hover,
  .navbar .megamenu ul li .active,
  .navbar .megamenu ul li .active:hover {
    color: var(--color-white);
    background: var(--color-primary);
  }

  .navbar .dropdown .dropdown ul {
    top: 0;
    left: calc(100% - 30px);
    visibility: hidden;
  }

  .navbar .dropdown .dropdown:hover>ul {
    opacity: 1;
    top: 0;
    left: 100%;
    visibility: visible;
  }
}

@media (min-width: 1280px) and (max-width: 1366px) {
  .navbar .dropdown .dropdown ul {
    left: -90%;
  }

  .navbar .dropdown .dropdown:hover>ul {
    left: -100%;
  }
}

.mobile-nav-toggle {
  display: none;
}

/*--------------------------------------------------------------
# Mobile Navigation
--------------------------------------------------------------*/
@media (max-width: 1279px) {
  .navbar {
    padding: 0;
    z-index: 9997;
  }

  .navbar ul {
    display: none;
    position: absolute;
    inset: 55px 15px 15px 15px;
    padding: 10px 0;
    margin: 0;
    border-radius: 10px;
    background-color: var(--color-white);
    overflow-y: auto;
    transition: 0.3s;
    z-index: 9998;
  }

  .navbar a,
  .navbar a:focus {
    display: flex;
    justify-content: space-between;
    padding: 10px 20px;
    font-family: var(--font-secondary);
    font-size: 15px;
    font-weight: 600;
    color: var(--color-primary);
    white-space: nowrap;
    transition: 0.3s;
  }

  .navbar a i,
  .navbar a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
  }

  .navbar a:hover,
  .navbar {
    color: var(--color-primary);
  }

  .navbar .dropdown-active a,
  .navbar .dropdown-active a:focus {
    color: var(--color-white);
  }

  .navbar .dropdown ul,
  .navbar .dropdown .dropdown ul {
    position: static;
    display: none;
    z-index: 99;
    padding: 10px 0;
    margin: 10px 20px;
    background: var(--color3);
    transition: all 0.5s ease-in-out;
    box-shadow: 0px 0px 30px rgba(var(--color-black-rgb), 0.1);
  }

  .navbar .dropdown>.dropdown-active,
  .navbar .dropdown .dropdown>.dropdown-active {
    display: block;
  }

  .mobile-nav-toggle {
    display: inline-block;
    color: var(--color-secondary);
    font-size: 28px;
    cursor: pointer;
    line-height: 0;
    transition: 0.5s;
  }

  .mobile-nav-toggle.bi-x {
    color: var(--color-black);
  }

  .mobile-nav-active {
    overflow: hidden;
  }

  .mobile-nav-active .mobile-nav-toggle {
    position: fixed;
    top: 15px;
    right: 15px;
    z-index: 9999;
    color: var(--color-white);
  }

  .navbar .megamenu ul li .head{
    color: #FFD700;
    font-size: 15px;
    background: linear-gradient(265deg, #DF3634 -2.08%, #C2121C 26.85%, var(--color4) 64.97%, rgba(130, 12, 4, 0.75) 109.96%);
  }

  .mobile-nav-active .navbar {
    position: fixed;
    overflow: hidden;
    inset: 0;
    background: rgba(var(--color-black-rgb), 0.6);
    transition: 0.3s;
  }

  .mobile-nav-active .navbar>ul {
    display: block;
  }
  
  .mobile-nav-toggle{
    display: inline-block;
  }
}

/*--------------------------------------------------------------
# Hero
--------------------------------------------------------------*/
.img-bg {
  height: 500px;
  background-size: cover;
  background-repeat: no-repeat;
  position: relative;
  background-position: center center;
}
@media (max-width: 768px) {
  .img-bg {
    height: 400px;
  }
}
.img-bg:before {
  /* content: "";
  background: rgb(0, 0, 0);
  background: linear-gradient(0deg, rgb(0, 0, 0) 0%, rgba(0, 0, 0, 0) 100%); */
  position: absolute;
  opacity: 0.5;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  top: 0;
  max-height: 522px;
}
.img-bg .img-bg-inner {
  position: relative;
  z-index: 2;
  max-width: 700px;
  position: relative;
  padding-left: 100px;
  padding-right: 100px;
  margin-bottom: 50px;
}
@media (max-width: 768px) {
  .img-bg .img-bg-inner {
    padding-left: 30px;
    padding-right: 30px;
    margin-bottom: 50px;
  }
}
.img-bg .img-bg-inner h2,
.img-bg .img-bg-inner p {
  color: var(--color-white);
}
@media (max-width: 500px) {
  .img-bg .img-bg-inner p {
    display: none;
  }
}
.custom-swiper-button-next,
.custom-swiper-button-prev {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 9;
}
@media (max-width: 768px) {
  .custom-swiper-button-next,
  .custom-swiper-button-prev {
    display: none;
  }
}
.custom-swiper-button-next span,
.custom-swiper-button-prev span {
  font-size: 20px;
  color: rgba(var(--color-white-rgb), 0.7);
  transition: 0.3s all ease;
}
.custom-swiper-button-next:hover span,
.custom-swiper-button-next:focus span,
.custom-swiper-button-prev:hover span,
.custom-swiper-button-prev:focus span {
  color: rgba(var(--color-white-rgb), 1);
}
.custom-swiper-button-next {
  right: 40px;
}
.custom-swiper-button-prev {
  left: 40px;
}
.swiper-pagination .swiper-pagination-bullet {
  background-color: rgba(var(--color-white-rgb), 0.8);
}
.swiper-pagination .swiper-pagination-bullet-active {
  background-color: rgba(var(--color-white-rgb), 1);
}

#hero-slider{
  padding: 20px 0 !important; 
  background: linear-gradient(180deg, rgba(229, 18, 42, 0.21) 0%, rgba(229, 18, 42, 0.21) 47.92%, #FFF 100%);
}


/*--------------------------------------------------------------
# Go To BRm News
--------------------------------------------------------------*/
.brm-news{
  padding: 15px 0 !important;
}

.brm-news .content{
  border-radius: 12px;
  padding: 15px 20px;
  background: linear-gradient(180deg, #F51625 6.77%, #DF3634 39.03%, #CE3230 82.81%);
  gap: 40px;
}
@media (max-width: 768px){
  .brm-news .content{
    gap: 15px;
  }
}

.content {
  flex-wrap: wrap;
}
.content h3{
  padding: 10px 0;
  font-size: 20px;
  text-align: center;
  color: white;
}
@media (max-width: 768px){
  .content h3{
    font-size: 16px;
  }
}
.content .see-more{
  font-family: var(--font-secondary);
  border: none;
  background: white;
  padding: 10px 25px;
  border-radius: 12px;
  font-size: 20px;
  font-weight: 600;
  color: var(--color1);
  transition: 0.8s;
}
@media (max-width: 768px){
  .content .see-more{
    font-size: 14px;
  }
}
.content .see-more:hover{
  border: 1px solid white;
  color: white;
  background: none;
}

/*--------------------------------------------------------------
# BRM Product Category Section
--------------------------------------------------------------*/
.category-section .product{
  gap: 30px;
}
.category-section .title-product{
  color: var(--color1);
  font-size: 30px;
  font-weight: 500;
  padding: 0 0 10px;
  font-family: var(--font-secondary);
  font-weight: 600;
}
.category-section .desc p{
  font-size: 14px;
}
.category-section .img-product{
  height: 100%;
  max-height: 187px;
  padding: 0 10px;
}


.category-section .btn-see-more{
  font-family: var(--font-secondary);
  border: none;
  background: linear-gradient(88deg, #F5182A 19.75%, #49A4D6 94.23%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  border-width: 2px; 
  border-style: solid; 
  border-image-source: linear-gradient(88deg, #F5182A 19.75%, #49A4D6 94.23%);
  border-image-slice: 1; 
  border-image-repeat: stretch; 
  padding: 10px 20px;
  font-weight: 700;
  margin:10px 0 50px;
  transition: 2s;
}

.category-section .btn-see-more:hover{
 background: var(--bg-linear);
 -webkit-text-fill-color: #FFF;
}
/*--------------------------------------------------------------
# Comments
--------------------------------------------------------------*/

#brm-community{
  padding: 0 !important;
}
.brm-community .img-banner-community{
  width: 100%;
}
/*.brm-community .message{
  margin: auto 0;
}
.brm-community .title{
  padding: 10px 0;
  color: #FFF;
  text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.30);
  font-size: 30px;
  font-weight: 800;
  line-height: 165.023%;
  width: 60%;
  font-family: var(--font-secondary);
}
.brm-community .comming-soon{
  width: fit-content;
  padding: 10px 20px;
  color: var(--color1);
  background: white;
  font-size: 24px;
  font-weight: 600;
  border: 3px solid var(--color1);
  border-radius: 30px;
}
.brm-community .img-person{
  max-height: 355px;
  margin-left: -50px;
}
@media (max-width: 768px) {
  .brm-community .title{
    width: 100%;
  }
  .brm-community .img-person{
    margin: 0 auto;
  }*/

}
/*--------------------------------------------------------------
# IMG Banner
--------------------------------------------------------------*/

  .img-banner{
    border-radius: 30px;
    max-width: 1260px;
    margin: 0 10px;
  }

  @media(max-width: 1024px){
    .img-banner{
      max-width: 100%;
      border-radius: 10px;
    }
  }

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
.footer {
  overflow: hidden;
  background: linear-gradient(265deg, #DF3634 -2.08%, #C2121C 26.85%, #F5182A 64.97%, rgba(130, 12, 4, 0.75) 109.96%);
  font-size: 16px;
  color: rgba(var(--color-white-rgb), 0.7);
}

.footer .footer-content {
  padding: 60px 0;
}


.footer .category-products{
  display: flex;
  gap: 35px;
  flex-wrap: wrap;
  max-width: 400px;
}

.footer .category-products ul {
  list-style: none;
  padding: 0;
  font-size: 14px;
}
.footer .footer-heading {
  color: white;
  margin-bottom: 20px;
  padding-bottom: 10px;
  font-size: 20px;
  font-weight: 600;
}
.footer .name-company{
  display: flex;
  flex-wrap: wrap;
}
.footer .heading { 
  color: white;
  font-size: 18px;
  font-weight: bold;
  text-align: right;
  font-family: var(--font-secondary);
  transition: 1s;
}
.footer .heading:hover, .footer a:hover{
  color: yellow;
}
.footer a{
  color: white;
  font-family: var(--font-secondary);
}
.footer .desc{
  font-family: var(--font-secondary);
  color: white;
  text-align: right;
  font-size: 12px;
  width: 330px;
}
@media (max-width: 768px){
  .footer .name-company{
    display: flex;
    justify-content: center;
  }
  .footer .heading{
    padding-top: 10px;
    text-align: center;
  }
  .footer .desc{
    width: 100%;
    text-align: center;
  }
}
.footer .slogan{
  font-family: var(--font-secondary);
  text-align: end;
  font-size: 18px;
  color: white;
  font-weight: bold;
  padding: 20px 0;
}
@media (max-width: 768px) {
  .footer .slogan{
    text-align: center;
  }
  
}
.footer .brand{
  padding-top: 10px;
  display: flex;
  align-items: center;
  justify-content: end;
  gap: 20px;
}
@media (max-width: 768px) {
  .footer .brand{
    justify-content: center;
  }
}

.footer .brand img{
  max-width: 83px;
}

.footer .logo{
  width: 100%;
  max-width: 103px;
  height: fit-content;
  padding: 10px;
  background: white;
  border-radius: 50%;
  margin: 0 10px;
}
.footer .social-media{
  display: flex;
  gap: 20px;
  padding-bottom: 50px;
}
.footer .social-media i{
  font-size: 25px;
  font-weight: 600;
  border: 2px solid white;
  color: white;
  padding: 10px 14px;
  border-radius: 50%;
  transition: 1s;
}
.footer .social-media i:hover{
  border: 2px solid rgb(255, 177, 177);
  color: rgb(255, 177, 177);
}

.footer .footer-legal {
  background: white;
  color: black;
  padding: 15px 0;
}


.footer .footer-legal .bank{
  gap: 20px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.footer .footer-legal .img-bank {
  max-height: 20px;
}
.footer .copyright{
  font-family: var(--font-secondary);
  font-size: 14px;
}
.footer .copyright strong {
  font-weight: 400;
}
.footer .privacy-policy{
  font-size: 18px;
  font-weight: bold;
  color: white;
}
